org.fourthline.cling.support.model

## Enum PlayMode

- java.lang.Object
- - java.lang.Enum<PlayMode>
  - - org.fourthline.cling.support.model.PlayMode

- All Implemented Interfaces:
    Serializable, Comparable<PlayMode>

      public enum PlayMode
      extends Enum<PlayMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DIRECT_1`
    `INTRO`
    `NORMAL`
    `RANDOM`
    `REPEAT_ALL`
    `REPEAT_ONE`
    `SHUFFLE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PlayMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PlayMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL

          public static final PlayMode NORMAL

    - #### SHUFFLE

          public static final PlayMode SHUFFLE

    - #### REPEAT_ONE

          public static final PlayMode REPEAT_ONE

    - #### REPEAT_ALL

          public static final PlayMode REPEAT_ALL

    - #### RANDOM

          public static final PlayMode RANDOM

    - #### DIRECT_1

          public static final PlayMode DIRECT_1

    - #### INTRO

          public static final PlayMode INTRO

  - ### Method Detail

    - #### values

          public static PlayMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PlayMode c : PlayMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PlayMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 4th Line GmbH, Switzerland. All rights reserved.